import { AxiosInstance, AxiosRequestConfig } from 'axios';
import { ICommonRes } from '../typings/interface/common.interface';
declare type IGraphqlDataAttr = {
    query: string;
    variables: Record<string, any>;
    [prop: string]: any;
};
declare class GraphqlClient {
    #private;
    /**
     * 构造函数
     * @param axiosIns axios实例
     * @param config axios的配置
     */
    constructor(axiosIns: AxiosInstance, config: AxiosRequestConfig);
    /**
     * 执行graphql接口，采用对象方式，便于扩展
     * @param data graphql入参参数
     * @param extraConfig 额外的axios配置参数
     * @returns graphql接口的返回promise
     */
    excute<T = any>(data: IGraphqlDataAttr, extraConfig?: AxiosRequestConfig): Promise<ICommonRes<T>>;
}
export { GraphqlClient };
