import type { IBasicProps, IBasicRouteCompProps, ICommonRes, IErrorRes } from './typings/interface/common.interface';
import { ApiMethodEnum, DatePickerModeEnum } from './typings/enum/common.enum';
import { GraphqlClient } from './class/GraphqlClient';
import { getHostAndProtocol, base64ToBlob, base64ToFile, evalFn, copyToClipboard } from './utils/common.util';
import { delCookie, delAllCookie, getCookie, setCookie } from './utils/cookie.util';
import { excPromise } from './utils/promise.util';
import { createSignature } from './utils/signature.util';
import { getValidVal, getValueType } from './utils/type.util';
import useGetDateFormat from './hooks/useGetDateFormat';
export * from './components';
export { GraphqlClient, // 通用graphql类
createSignature, // 通用数字签名生成函数
excPromise, // 通用promise包裹类
getCookie, setCookie, delCookie, delAllCookie, getHostAndProtocol, // 当前浏览器host，包含protocol
base64ToBlob, // base64转Blob
base64ToFile, // base64转File
evalFn, copyToClipboard, // 通用粘贴板
getValidVal, getValueType, // 通用获取变量类型函数
useGetDateFormat, // 通用获取当前日期的显示内容hooks
ApiMethodEnum, DatePickerModeEnum, };
export type { IBasicProps, IBasicRouteCompProps, ICommonRes, IErrorRes };
